## org.eclipse.emf.converter
Class ModelConverter.ReferencedEPackageFilter

    java.lang.Object
      org.eclipse.emf.converter.ModelConverter.ReferencedEPackageFilter

Enclosing class:
  ModelConverter

    protected class ModelConverter.ReferencedEPackageFilter

extends java.lang.Object

Constructor Summary
`protected` `ModelConverter.ReferencedEPackageFilter()`

Method Summary
`java.util.List<GenPackage>` `computeValidReferencedGenPackages()`
`java.util.List<EPackage>` `filterReferencedEPackages(java.util.Collection<EPackage> ePackages, java.util.List<GenPackage> referencedGenPackages)`
`protected EPackage` `getReferredEPackage(GenPackage genPackage)`
`protected boolean` `isValidReference(GenPackage genPackage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelConverter.ReferencedEPackageFilter

    protected ModelConverter.ReferencedEPackageFilter()

Method Detail

### computeValidReferencedGenPackages

    public java.util.List<GenPackage> computeValidReferencedGenPackages()

### filterReferencedEPackages

    public java.util.List<EPackage> filterReferencedEPackages(java.util.Collection<EPackage> ePackages,
                                                              java.util.List<GenPackage> referencedGenPackages)

### getReferredEPackage

    protected EPackage getReferredEPackage(GenPackage genPackage)

### isValidReference

    protected boolean isValidReference(GenPackage genPackage)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.